// Generated by CoffeeScript 2.6.1
var draw, font, now, onresize, preload, setup, time_difference, time_string, to_seconds, to_time, zero_pad;

font = null;

preload = function() {
  return font = loadFont('./CuteFont-Regular.ttf');
};

onresize = function() {
  return resizeCanvas(innerWidth, innerHeight);
};

setup = function() {
  createCanvas(innerWidth, innerHeight, WEBGL);
  return onresize();
};

zero_pad = function(t) {
  t = t + "";
  if (t.length < 2) {
    return "0" + t;
  } else {
    return t;
  }
};

to_seconds = function(t) {
  return t.s + t.m * 60 + t.h * 60 * 60;
};

to_time = function(s) {
  var h, m;
  h = Math.floor(s / 3600);
  s -= h * 3600;
  m = Math.floor(s / 60);
  s -= m * 60;
  return {
    h: h,
    m: m,
    s: s
  };
};

time_difference = function(a, b) {
  return to_seconds(b) - to_seconds(a);
};

now = function() {
  var d;
  d = new Date();
  return {
    h: d.getHours(),
    m: d.getMinutes(),
    s: d.getSeconds()
  };
};

time_string = function(t) {
  return `${zero_pad(t.h)}:${zero_pad(t.m)}:${zero_pad(t.s)}`;
};

draw = function() {
  var a1, a2, a3, closing, columns, d, diff, dt, et, fs, fs2, i, j, n, nt, open_duration, p, progress, ref, results, sine, t, w, x, y;
  n = now();
  closing = {
    h: 22,
    m: 0,
    s: 0
  };
  diff = time_difference(n, closing);
  et = time_string(to_time(diff));
  nt = time_string(n);
  d = new Date();
  dt = d.toDateString().split(" ").slice(0, 3).join(" ");
  background(0);
  rectMode(CENTER);
  textFont(font);
  textAlign(CENTER, CENTER);
  fs = innerWidth / 5;
  fs2 = innerWidth / 32;
  textSize(fs);
  sine = Math.sin(frameCount * 0.01);
  translate(0, 0, 10);
  t = frameCount * 0.01;
  a1 = Math.sin(t);
  a2 = Math.sin(t + Math.PI * 2.0 * 0.33333);
  a3 = Math.sin(t + Math.PI * 2.0 * 0.66666);
  // fill 100 + a1 * 100
  // textSize (fs + a1 * fs2) * 0.8
  // text dt, 0, -fs

  // fill 100 + a2 * 100
  // textSize fs + a2 * fs2
  // text nt, 0, 0

  // rectMode CORNER
  // fill 60
  // rect(- width * 0.5, - height * 0.5, width * progress, height)
  rectMode(CENTER);
  noStroke();
  fill(150 + a3 * 50, 30 * a3, 30 * a3);
  textSize(fs);
  text(et, 0, 0);
  // textSize fs + a3 * fs2
  if (diff < 1000) {
    open_duration = 3600 * 15;
    progress = 1 - (diff / open_duration);
    translate(-width * 0.5, -height * 0.5);
    columns = 100;
    p = 2;
    w = (width - p - p) / columns;
    results = [];
    for (i = j = 0, ref = diff; (0 <= ref ? j <= ref : j >= ref); i = 0 <= ref ? ++j : --j) {
      x = i % columns;
      y = Math.floor(i / columns);
      results.push(rect(x * w + p, y * w + p, w - p - p, w - p - p));
    }
    return results;
  }
};

//# sourceMappingURL=clock.js.map
